Bug 5106 - LIGO: globus-rls-cli enhancement requests (concerning command line arguements) PATCH
: LIGO: globus-rls-cli enhancement requests (concerning command line arguements...
Status: RESOLVED FIXED
: Replica Location
Roadmap
: development
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-03-16 16:21 by
Modified: 2008-05-28 19:19 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-16 16:21:09
The LIGO community has requested the following two enhancements for
globus-rls-cli to make it a more useful tool:

1) It should support a list of arguments in a file to overcome the maximum
number of arguments for a new process. 

2) The requirement for the RLS URL to be the last argument should be dropped.
This would allow easier scripting of large lists (with xargs, for example,
which appends its list of arguments to the end of commands). Perhaps it could
become optional via an environment variable, able to be moved to another
argument position, or have a switch somewhere that sets rls://localhost to the
default.
------- Comment #1 From 2007-09-27 16:25:35 -------
Since attachments are disabled (due to spammers, at the time of this entry) I
am linking to patches provided by LIGO's Brian Moe.

http://www.isi.edu/~schuler/bug5106/cli.c
http://www.isi.edu/~schuler/bug5106/rlscli2

The cli.c is a replacement for replica/rls/client/cli.c and rlscli2 is a new
script.

Description from Brian:

I'm sending you a modification to globus-rls-cli (cli.c) that I wrote that adds
a command line option '-i infile' which allows bulk commands to take input from
a file, or stdin if 'infile' is '-'.

I'm also sending a shell script that wraps globus-rls-cli, taking advantage of
the interactive mode to provide similar functionality. Additionally, it changes
the semantics of 'add' to be 'create or add'.  I have no idea what to call the
thing... went with 'rlscli2' but am very open to suggestions.

****

Much thanks to Brian and LIGO!

Our plans are to merge the above changes into the Globus CVS trunk. We may not
merge it into the globus_4_0_branch due to guidelines governing new features in
a maintenance branch. It will at least be available in upcoming dev releases
and the 4.2 stable release.

This bug record will be updated when the changes are committed to CVS.
------- Comment #2 From 2007-11-07 22:59:59 -------
The globus-rls-cli code has been patched with Brian's diff and committed to
trunk.

A new package to hold RLS related scripts has been created and added to the
replica project under:

replica/rls/script

The package name is:

globus_rls_script

It has been added to the globus_rls_server bundle in the Globus package
project. The new package will be bundled with the 4.2+ releases of GT. It is
committed in trunk in CVS.

The rlscli2 submitted by Brian has been renamed globus-rls-bulk.sh and added to
the globus_rls_script package.